# GM - Object Timeline

## **Documentation**

**GM - Object Timeline** component is used to display a Timeline on any Lightning page (**Home**, **App**, **Record**). The object timeline filters can be configured through the App Builder and using the current object on a Record Page.

**Use case:** Display a timeline of Tasks filtered by current opportunity. See [Timeline tutorial](/product-tour/object-timeline.md).

## **Specification**

<table data-full-width="true"><thead><tr><th width="222.33333333333331">Property</th><th width="168">Type</th><th>Description</th></tr></thead><tbody><tr><td>Show Header </td><td>Boolean</td><td>Check this option if you wish to display the header.</td></tr><tr><td>Title</td><td>String</td><td>Title  of the card.</td></tr><tr><td>Icon</td><td>String</td><td><p>Icon name from the <a href="https://www.lightningdesignsystem.com/icons/">Salesforce Lightning Design System</a> to display in the header.</p><p></p><p>Ex: <strong>standard:account</strong></p></td></tr><tr><td>Timeline Configuration</td><td>String</td><td>JSON configuration describing the timeline content.</td></tr><tr><td>Card Variant</td><td>String</td><td>Path variant to use; linear or non-linear.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="timeLineContainerLWC.js-meta.xml" %}

```xml
<?xml version="1.0" encoding="UTF-8" ?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>52.0</apiVersion>
    <isExposed>true</isExposed>
    <masterLabel>GM - Object Timeline</masterLabel>
    <description>GM - Object Timeline</description>
    <targets>
        <target>lightning__RecordPage</target>
        <target>lightning__AppPage</target>
        <target>lightning__HomePage</target>
    </targets>
    <targetConfigs>
        <targetConfig
            targets="lightning__RecordPage,lightning__AppPage,lightning__HomePage"
        >
            <property
                name="showHeader"
                type="Boolean"
                label="Show Header"
                description="Check to display the header"
            />
            <property
                name="headerTitle"
                type="String"
                label="Title"
                description="Title to display on the header"
            />
            <property
                name="headerIcon"
                type="String"
                label="Icon"
                description="Header icon to display on the header (SLDS Icons)"
            />
            <property
                name="jsonConfig"
                type="String"
                label="Timeline Configuration"
                description="JSON Timeline Configuration"
            />
            <property
                name="variant"
                type="String"
                label="Variant"
                description="Card Variant"
            />
        </targetConfig>
    </targetConfigs>
</LightningComponentBundle>

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-object-timeline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
